#property indicator_chart_window

extern int    DayShift    = 1;
extern color  ColorHigh   = LimeGreen;
extern color  ColorLow    = Red;
extern color  ColorOpen   = Silver;
extern color  ColorClose  = Gold;
extern int    LinesStyle  = STYLE_DOT;
extern double ZonesHeight = 10;
extern string UniqueID    = "Dhloc";

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()   { return(0);}
int deinit() 
{
   ObjectDelete(UniqueID+":high");
   ObjectDelete(UniqueID+":low");
   ObjectDelete(UniqueID+":open");
   ObjectDelete(UniqueID+":close");
   return(0); 
}
int start()
{
   double height = Point*ZonesHeight*MathPow(10,Digits%2);
   drawLine(iOpen (NULL,PERIOD_D1,DayShift),      0,"open" ,ColorOpen);
   drawLine(iHigh (NULL,PERIOD_D1,DayShift), height,"high" ,ColorHigh);
   drawLine(iLow  (NULL,PERIOD_D1,DayShift),-height,"low"  ,ColorLow);
   drawLine(iClose(NULL,PERIOD_D1,DayShift),      0,"close",ColorClose);
   return(0);
}  
void drawLine(double price, double height, string add, color theColor)
{
   string name = UniqueID+":"+add;
   int    type = OBJ_TREND; if (height!=0) type = OBJ_RECTANGLE;
      ObjectCreate(name,type,0,0,0);
         ObjectSet(name,OBJPROP_PRICE1,price);
         ObjectSet(name,OBJPROP_PRICE2,price+height);
         ObjectSet(name,OBJPROP_TIME1,iTime(NULL,PERIOD_D1,0));
         ObjectSet(name,OBJPROP_TIME2,Time[0]);
         ObjectSet(name,OBJPROP_COLOR,theColor);
         ObjectSet(name,OBJPROP_STYLE,LinesStyle);
         ObjectSet(name,OBJPROP_RAY,false);
         ObjectSet(name,OBJPROP_BACK,true);
}